<!DOCTYPE html>
<html>
<head> 
<title>Count and display items of a dropdown list</title>
</head>
<body>
<form>
Select your favorite Color :
<select id="mySelect">
<option>Red</option>
<option>Green</option>
<option>Blue</option>
<option>White</option>
</select>
<input type="button" onclick="getOptions();" value="Count and Output all items">
</form></body>
<script>
function getOptions(){
    var x= document.getElementById("mySelect");
    var txt = "No of available options = ";
    var i;
    length=document.getElementById("mySelect").length;
    txt=txt+length;
    for(i=0;i<x.length;i++){
        txt = txt+"\n"+x.options[i].text;
    }
    alert(txt);
}
</script>
</html>